HPL_grid_info(3)

NAME
HPL_grid_info - Retrieve grid information.

SYNOPSIS
#include "hpl.h"

int HPL_grid_info( const HPL_T_grid * GRID, int * NPROW, int * NPCOL, int * MYROW, int * MYCOL );

DESCRIPTION
HPL_grid_info returns the grid shape and the coordinates in the grid of the calling process. Successful completion is indicated by the returned error code MPI_SUCCESS. Other error codes depend on the MPI implementation.

ARGUMENTS

GRID    (local input)           const HPL_T_grid *
    On entry, GRID points to the data structure containing the process grid information.

NPROW   (global output)         int *
    On exit, NPROW specifies the number of process rows in the grid. NPROW is at least one.

NPCOL   (global output)         int *
    On exit, NPCOL specifies the number of process columns in the grid. NPCOL is at least one.

MYROW   (global output)         int *
    On exit, MYROW specifies my row process coordinate in the grid. MYROW is greater than or equal to zero and less than NPROW.

MYCOL   (global output)         int *
    On exit, MYCOL specifies my column process coordinate in the grid. MYCOL is greater than or equal to zero and less than NPCOL.

SEE ALSO
HPL_pnum (3), HPL_grid_init (3), HPL_grid_exit (3).